Subject: AC97 audio broken on SAM9263EK?

From: [email-masked] (Yegor Yefremov)
Date: Wed, 10 Mar 2010 16:41:00 +0100

>> I tried both files and the one really working is ac97c_alsa.c. As far
>> as I understand it is combination of both patches for at91 support and
>> full duplex?
>>
>> I've tried the following applications under Debian 5.0:
>>
>> mpg123
>> vlc
>> mplayer
>> amarok
>>
>> Regards,
>> Yegor
>>
> 
> ac97c_alsa.c is the result of the 2 patches I have send to the alsa
> mailing list
> (http://mailman.alsa-project.org/pipermail/alsa-devel/2010-March/025709.html
> and
> http://mailman.alsa-project.org/pipermail/alsa-devel/2010-February/025628.html).
> It indeed adds support for AT91(1/2) and full duplex(2/2).But is is
> strange that if you only apply only the first patch you encounter errors...
> 
> On my side I have only tested these patches with mplayer and aplay.
> Plus to test the full duplex I have done like this:
> "arecord -d 10 -f cd -t wav test.wav & mplayer my_file.mp3"

When do you think the driver could hit the mainline kernel? Till 2.6.35 open window?

Best regards,
Yegor